Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001771KdenliveUser Interfacepublic2010-08-24 19:262010-09-14 23:01
ReporterGranjow 
Assigned ToGranjow 
PrioritynormalSeveritycrashReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.7.8 
Summary0001771: Segfault in keyframeedit.cpp when working on the timeline
DescriptionOn the last line here:
void KeyframeEdit::slotAdjustKeyframeInfo(bool seek)
{
    QTableWidgetItem *item = keyframe_list->currentItem();
    if (!item)
        return;
    int min = m_min;
    int max = m_max;
    QTableWidgetItem *above = keyframe_list->item(item->row() - 1, item->column());
    QTableWidgetItem *below = keyframe_list->item(item->row() + 1, item->column());
    if (above)
        min = getPos(above->row()) + 1;
    if (below)
        max = getPos(below->row()) - 1;

    keyframe_pos->blockSignals(true);
    keyframe_pos->setRange(min, max);
    keyframe_pos->setValue(getPos(item->row()));
    keyframe_pos->blockSignals(false);
    for (int col = 0; col < keyframe_list->columnCount(); col++) {
        DoubleParameterWidget *doubleparam = static_cast <DoubleParameterWidget*>(m_slidersLayout->itemAtPosition(col, 0)->widget());
        if (!doubleparam)
            continue;
        doubleparam->blockSignals(true);
        doubleparam->setValue(keyframe_list->item(item->row(), col)->text().toInt());
Additional Information0 KeyframeEdit::slotAdjustKeyframeInfo keyframeedit.cpp 343 0x0000000000690b75
1 KeyframeEdit::addParameter keyframeedit.cpp 124 0x0000000000693003
2 EffectStackEdit::transferParamDesc effectstackedit.cpp 300 0x00000000005760e1
3 EffectStackView::slotItemSelectionChanged effectstackview.cpp 295 0x000000000056bc21
4 EffectStackView::setupListView effectstackview.cpp 277 0x000000000056d6dc
5 EffectStackView::slotClipItemSelected effectstackview.cpp 192 0x000000000056e157
6 EffectStackView::qt_metacall effectstackview.moc 129 0x000000000056e4b4
7 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) /usr/lib/libQtCore.so.4 0 0x00007ffff4322346
8 CustomTrackView::clipItemSelected moc_customtrackview.cpp 346 0x0000000000446fee
9 CustomTrackView::mousePressEvent customtrackview.cpp 930 0x000000000050dc6e
10 QWidget::event(QEvent*) /usr/lib/libQtGui.so.4 0 0x00007ffff34aa5e9
11 QFrame::event(QEvent*) /usr/lib/libQtGui.so.4 0 0x00007ffff3851946
12 QGraphicsView::viewportEvent(QEvent*) /usr/lib/libQtGui.so.4 0 0x00007ffff3a94dab
13 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) /usr/lib/libQtCore.so.4 0 0x00007ffff430e577
14 QApplicationPrivate::notify_helper(QObject*, QEvent*) /usr/lib/libQtGui.so.4 0 0x00007ffff34542fc
15 QApplication::notify(QObject*, QEvent*) /usr/lib/libQtGui.so.4 0 0x00007ffff345afdb
16 KApplication::notify(QObject*, QEvent*) /usr/lib/libkdeui.so.5 0 0x00007ffff6fd9836
17 QCoreApplication::notifyInternal(QObject*, QEvent*) /usr/lib/libQtCore.so.4 0 0x00007ffff430f15c
18 QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) /usr/lib/libQtGui.so.4 0 0x00007ffff345a1be
19 ?? /usr/lib/libQtGui.so.4 0 0x00007ffff34da03b
20 QApplication::x11ProcessEvent(_XEvent*) /usr/lib/libQtGui.so.4 0 0x00007ffff34d89ac
... <Mehr>
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships
parent of 0001981closedGranjow Segfaults in Effect Stack list 

-  Notes
(0005662)
Granjow (developer)
2010-08-24 19:32

Is it possible that item has been deleted in the meantime, by another thread?
(0005663)
Granjow (developer)
2010-08-24 20:27

Ah. -DCMAKE_BUILD_TYPE=debug.

I've just been clicking through clips in the timeline, each of them with a SOP/Sat effect.

this is 0x0 in qtablewidget.h:
    inline QString text() const
        { return data(Qt::DisplayRole).toString(); }
(0005664)
Granjow (developer)
2010-08-24 20:32

Fixed in r4753
http://kdenlive.svn.sourceforge.net/viewvc/kdenlive/trunk/kdenlive/src/keyframeedit.cpp?r1=4753&r2=4752&pathrev=4753 [^]

- Issue History
Date Modified Username Field Change
2010-08-24 19:26 Granjow New Issue
2010-08-24 19:27 Granjow Additional Information Updated View Revisions
2010-08-24 19:32 Granjow Note Added: 0005662
2010-08-24 20:27 Granjow Note Added: 0005663
2010-08-24 20:32 Granjow Note Added: 0005664
2010-08-24 20:32 Granjow Status new => resolved
2010-08-24 20:32 Granjow Fixed in Version => Recent git
2010-08-24 20:32 Granjow Resolution open => fixed
2010-08-24 20:32 Granjow Assigned To => Granjow
2010-09-14 11:00 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed
2011-01-23 17:42 Granjow Relationship added parent of 0001981


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker